
%global meadversion 3.8.0
%global namedversion 3.8.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package apache-commons-lang}
%{!?scl:%global pkg_name %{name}}
%global jarver  3

%define maven_version 3.8.0.redhat-00001

Name:           %{?scl_prefix}apache-commons-lang
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Commons Lang
Group:          Development/Java

%if %with mead
Source100: commons-lang3-3.8.0.redhat-00001-project-sources.tar.gz
Source102: commons-lang3-3.8.0.redhat-00001-test-sources.jar
Source103: commons-lang3-3.8.0.redhat-00001-sources.jar
Source104: commons-lang3-3.8.0.redhat-00001.jar
Source105: commons-lang3-3.8.0.redhat-00001.pom
Source106: commons-lang3-3.8.0.redhat-00001-javadoc.jar
Source107: commons-lang3-3.8.0.redhat-00001-tests.jar
%endif

License:        ASL 2.0
URL:            http://commons.apache.org/lang/
Provides:       %{?scl_prefix}commons-lang = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Commons Lang, a package of Java utility classes for the classes
that are in java.lang's hierarchy, or are considered to be so standard
as to justify existence in java.lang.

%if %with javadoc
%package javadoc
Summary:        Javadoc for commons-lang
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n commons-lang3-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/commons-lang%{jarver}-%{namedversion}.jar %{buildroot}%{_javadir}/commons-lang%{jarver}-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/commons-lang%{jarver}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/commons-lang%{jarver}-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/commons-lang%{jarver}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/commons-lang%{jarver}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/commons-lang-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/commons-lang%{jarver}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/commons-lang-%{namedversion} -x META-INF/\*
%{__ln_s} commons-lang-%{namedversion} %{buildroot}%{_javadocdir}/commons-lang
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt
%{_javadir}/commons-lang%{jarver}-%{namedversion}.jar
%{_javadir}/commons-lang%{jarver}.jar
%if %with javadoc
%{_javadir}/commons-lang%{jarver}-%{namedversion}-javadoc.jar
%{_javadir}/commons-lang%{jarver}-javadoc.jar
%endif
%{_javadir}/commons-lang%{jarver}-%{namedversion}-sources.jar
%{_javadir}/commons-lang%{jarver}-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/commons-lang-%{namedversion}
%{_javadocdir}/commons-lang
%endif

%changelog
* Wed Mar 06 2019 Permaine Cheung <pcheung@redhat.com> - 3.8.0-1.redhat_00001.1
- 3.8.0.redhat-1

* Tue Jul 10 2018 Permaine Cheung <pcheung@redhat.com> - 3.6.0-1.redhat_1.1
- Update to 3.6.0.redhat-1

* Tue Jul 10 2018 Permaine Cheung <pcheung@redhat.com> - 3.6.0-1.redhat_1.1
- Update to 3.6.0.redhat-1

* Mon Jun 11 2018 Permaine Cheung <pcheung@redhat.com> - 2.6.0-6.redhat_7.1
- Rewrap for 7.2.0

* Wed May 02 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.6.0-5.redhat_7.1
- upgrade to 2.6.0.redhat-7

* Wed May 02 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.6.0-5.redhat_7.1
- upgrade to 2.6.0.redhat-7

* Tue Jan 26 2016 Petr Sakar <psakar@redhat.com> - 2.6.0-4.redhat_6.1
- Upgrade to 2.6.0.redhat-6
  target java 1.6

* Mon Jul 06 2015 David Walluck <dwalluck@redhat.com> - 2.6.0-3.redhat_5.1
- fix changelog

* Mon Jul 06 2015 David Walluck <dwalluck@redhat.com> - 2.6.0-2.redhat_5.1
- release

